### Method

# GLib OptionContext free

since: 2.6

#### Declaration [src]

    void
    g_option_context_free (
      GOptionContext* context
    )

#### Description [src]

Frees context and all the groups which have been added to it.

Please note that parsed arguments need to be freed separately (see `GOptionEntry`).

Available since: 2.6

#### Parameters

`context`

  Type: `GOptionContext`

  A `GOptionContext`.

  The instance takes ownership of the data, and is responsible for freeing it.